Subject: Re: bug#23947: Regression in EIEIO

From: Stefan Monnier <[email-masked]>
Date: Tue, 12 Jul 2016 09:06:03 -0400

>> +               (apply code arg (cl--generic-name generic) (cons arg args))))

> Hmm, why does `code' receive `arg' twice? (once as the first arg and
> once as the third one)

Because that's how EIEIO's `no-applicable-method' was defined.
More specifically, it takes (obj method &rest args) where `obj' is the
first arg that was passed to the method and `args' is the complete list
of arguments that were passed to the method.

        Stefan